<?php 

// Custom Heading
add_shortcode('heading','heading_func');

function heading_func($atts, $content = null){

	extract(shortcode_atts(array(
		'text'		=>	'',
		'tag'		  => 	'',
		'size'		=>	'',
		'color'		=>	'',
		'align'		=>	'',
		'bot'		  =>	'',
		'class'		=>	'',
	), $atts));

  $html = '';

  ob_start();
	
	$size1 = (!empty($size) ? 'font-size: '.$size.'px;' : '');
	$color1 = (!empty($color) ? 'color: '.$color.';' : '');
	$align1 = (!empty($align) ? 'text-align: '.$align.';' : '');
	$bot = (!empty($bot) ? 'margin-bottom: '.$bot.';' : '');
	$cl = (!empty($class) ? ' class= "'.$class.'"' : '');
	
	$html .= '<'.$tag.$cl.' style="' . $size1 . $align1 . $color1 . $bot .'">'. $text .'</'.$tag.'>';
	
	return $html;
}


// Buttons

add_shortcode('button', 'button_func');
function button_func($atts, $content = null){

	extract(shortcode_atts(array(
		'btntext' 	=> '',
		'btnlink' 	=> '',
		'color'		  => '',
		'type'		  => '',
    'size'      => '',
		'radius'		=> '',
	), $atts));
	ob_start(); ?>
	<?php 
    $type1 = '';
    $size2 = '';
    $rad = '';
    if($type == 'info'){
      $type1 = ' btn-info';
    }elseif($type == 'success'){
      $type1 = ' btn-success';
    }elseif($type == 'warning'){
      $type1 = ' btn-warning';
    }elseif($type == 'danger'){
      $type1 = ' btn-danger';
    }elseif($type == 'primary'){
      $type1 = ' btn-primary';
    }else{
      $type1 = ' btn-default';
    }

    if($size == 'small'){
      $size2 = ' btn-sm';
    }elseif($size == 'large'){
      $size2 = ' btn-lg';
    }
    if($radius == 'true'){
      $rad = ' no-radius';
    }
  ?>
  <a href="<?php echo esc_url($btnlink); ?>" class="btn<?php echo esc_attr($size2.$type1.$rad); ?>"><?php echo esc_attr($btntext); ?></a>
  
  <?php return ob_get_clean();
}

// Call To Action

add_shortcode('callta', 'callta_func');
function callta_func($atts, $content = null){
  extract(shortcode_atts(array(
    'color'     =>  '',
    'btn'       =>  '',
  ), $atts));
  $url = vc_build_link( $btn );
  if($color){
    $color = 'color: '.$color.';';
  }
  ob_start(); ?>

  <div class="ot-call-to-action">

        <div class="ot-container-inner">
          <div class="ot-cta-row clearfix">
    
            <div class="ot-text-wrapper ot-cta-cell">

              <div class="ot-cta-text">
                <?php echo htmlspecialchars_decode($content); ?>
              </div>

            </div>

            <div class="ot-btn-wrapper ot-cta-cell">

              <?php echo '<a style="'.$color.'" class="ot-btn btn-call" href="' . esc_attr( $url['url'] ) . '" title="' . esc_attr( $url['title'] ) . '" target="' . ( strlen( $url['target'] ) > 0 ? esc_attr( $url['target'] ) : '_self' ) . '"><span class="ot-btn-text">'. esc_attr( $url['title'] ) .'</span><span class="ot-btn-icon"><i class="fa fa-angle-double-right"></i></span></a>'; ?>
            
            </div>

          </div>

        </div>
    
  </div>
  <?php

  return ob_get_clean();
}

// Home Slider

$GLOBALS['slides'] = array();

add_shortcode('homeslide', 'homeslide_func');
 function homeslide_func( $atts, $content ) {
  $atts = shortcode_atts(array(
   'css_class' => '',
   'speed'     => '1000'
  ), $atts );

   $GLOBALS['slides'] = array();
  do_shortcode( $content );

  if ( empty( $GLOBALS['slides'] ) ) {
   return '';
  }

  $tabs_panel   = array();
  $tabs_nav   = array();
  $total = count($GLOBALS['slides']);

  if ( ! $total ) {
   return '';
  }
  $i = 0;
  foreach( $GLOBALS['slides'] as $slide ) {
    $image_src = '';
    if($slide['image']){
      $image_src = wp_get_attachment_image_src($slide['image'],'');
      if($image_src){
        $image_src = sprintf('<img src="%s" alt="" />', esc_url($image_src[0]));
      }
    }
   $tabs_panel[] = sprintf(
            '<div class="item">
                <div class="slidecaption">
                    <h2>%s</h2>
                    <h4>%s</h4>
                    <p><a class="btn btn-slide" href="%s">%s</a>
                    </p>
                </div>
                %s
            </div>',
    $slide['btext'],
    $slide['stext'],
    esc_url($slide['link']),
    $slide['btn'],
    $image_src
   );

   if( $slide['icon'] || $slide['title'] ) {
     $tabs_nav[] = sprintf(
            '<div class="item"><i class="%s"></i>%s</div>',
      esc_attr($slide['icon']),
      $slide['title']
     );
   }
  
  }

  $output_tab = '';
  if( $tabs_nav ) {
    $output_tab = sprintf(
    '
    <div class="row">
      <div class="col-sm-12">
        <div id="mainslider-nav" class="owl-carousel">%s
        </div>
      </div>
    </div>',
    implode('', $tabs_nav)
    );
  }

  return sprintf(
    '<div class="slidercontainer">
        
    <div id="mainslider" data-speed="%s" data-number="%s" class="owl-carousel">%s</div>
    %s
    </div>',
    esc_attr($atts['speed']),
    esc_attr($total),
    implode('', $tabs_panel),
    $output_tab
    );
 }


 //Slide Items

 add_shortcode('slide_item', 'slide_item_func');
 function slide_item_func( $atts, $content ) {
  $atts = shortcode_atts(array(
   'icon'       => '',
   'title'      => '',
   'image'      => '',
   'btext'      => '',
   'stext'      => '',
   'btn'        => '',
   'link'       => '',
  ), $atts );

  $GLOBALS['slides'][] = array(
   'icon'       => $atts['icon'],
   'title'      => $atts['title'],
   'btext'      => $atts['btext'],
   'stext'      => $atts['stext'],
   'btn'        => $atts['btn'],
   'link'       => $atts['link'],
   'image'      => $atts['image']
  );

  return '';
 }

// Background Video HTML5
add_shortcode('bgvideo', 'bgvideo_func');
function bgvideo_func($atts, $content = null){
  extract(shortcode_atts(array(
    'mp4'   =>  '',
    'webm'  =>  '',
    'ogv'   =>  '',
    'mute'  =>  '',
    'link'  =>  '',
    'btn'   =>  '',
    'btext' =>  '',
    'stext' =>  '',
    'high'  =>  '',
    'top'   =>  '',
  ), $atts));

  ob_start(); ?>

  <div class="servers-video-container" style="<?php if($high) echo 'min-height: '.esc_attr($high).';';?>">
      <div class="videocaption" style="<?php if($high) echo 'top: '.esc_attr($top).';';?>">
          <?php if($btext) { ?><h2><?php echo htmlspecialchars_decode($btext); ?></h2><?php } ?>
          <?php if($stext) { ?><h4><?php echo htmlspecialchars_decode($stext); ?></h4><?php } ?>
          <?php if($btn) { ?><a class="btn btn-slide" href="<?php echo esc_url($link); ?>"><?php echo htmlspecialchars_decode($btn); ?></a><?php } ?>
      </div>
      <video class="bgvideo" autoplay loop<?php if($mute) { ?> muted<?php } ?>>
          <source src="<?php echo esc_url($mp4); ?>" type="video/mp4">
          <source src="<?php echo esc_url($mp4); ?>" type="video/webm">
          <source src="<?php echo esc_url($mp4); ?>" type="video/ogg">
      </video>
  </div>      

  <?php

    return ob_get_clean();
}

// Form search domain
add_shortcode('servereast_search_domain','servereast_search_domain_func');
function servereast_search_domain_func($atts, $content = null){
    extract( shortcode_atts( array(
      'domain'        => '',   
      'actionlink'    => '',  
      'buttontext'    => '',
      'slide'         => '',
      'number'        => '',
      'image'         => '',
      'bridge'        => '',
   ), $atts ) );

    if(empty($number)){ $number = 6; }
    $img = wp_get_attachment_image_src($image,'full');
    $img = $img[0];
    if(!$img){ $img = get_template_directory_uri().'/images/loading.gif'; }

    ob_start(); ?>

    <div class="center-block">   
      <form class="form-inline domainsearch" method="post" action="<?php echo esc_url($actionlink); ?>">
        <div class="row no-gutter">
            <div class="col-sm-8">
                <input type="text" class="form-control" name="domain" placeholder="<?php _e('Enter your domain...','servereast'); ?>">
            </div>
            <div class="col-sm-2">
                <?php 
                  $output = array();
                  if( $domain ) {
                    $output[] = '<select class="form-control">';
                     $domain = explode( "|", $domain );
                     if( $domain ) {
                      foreach ( $domain as $label ) {
                       if( $label ) {    
                         $output[] = sprintf( '<option>%s</option>', $label );
                       }
                      }
                    $output[] = '</select>';
                   }
                  }
                  echo implode( '', $output );
                ?>
            </div>
            <div class="col-sm-2">
                <button type="submit" class="btn btn-primary" style="width:100%"><?php echo htmlspecialchars_decode($buttontext); ?></button>
            </div>
        </div>
      </form>
    </div>
    <?php if($slide == 'true') { ?>
    <?php 
      $output = array();
      if( $domain ) {
        $output[] = '<div id="domainextensions">';
        foreach ( $domain as $label ) {
           if( $label ) {    
             $output[] = sprintf( '<div class="item"><div class="extension">%s</div></div>', $label );
           }
        }
       $output[] = '</div>';
      }
      echo implode( '', $output );
    ?>

    <script type="text/javascript">
    (function($) {
    "use strict";

      $("#domainextensions").owlCarousel({
          autoPlay: 5000,
          items: <?php echo esc_js($number); ?>,
          itemsDesktop: [1199, <?php echo esc_js($number-1); ?>],
          itemsDesktopSmall: [979, <?php echo esc_js($number-1); ?>],
          pagination: false
      });

    })(jQuery);
    </script>
    <?php } ?>

    <div class="text-center" id="message"><img src="<?php echo esc_url($img); ?>" alt="">
      <div class="mess"></div><a href="javascript:void(0)" class="btn btn-primary"><?php _e('ORDER NOW','servereast'); ?></a>
      <?php if($bridge) { ?>
      <form method="post" name="whmcs_com" id="whmcs" action="<?php echo esc_url($actionlink); ?>/?ccce=cart&amp;a=add&amp;domain=register">
      <?php }else{ ?>
      <form method="post" name="whmcs_com" id="whmcs" action="<?php echo esc_url($actionlink); ?>/cart.php?a=add&amp;domain=register">
      <?php } ?>
        <input class="otdomain1" type="hidden" name="domains[]" value="">
        <input class="otdomain2" type="hidden" name="" value="1">
      </form>
      
    </div>
<?php
    return ob_get_clean();
}

// Carousel Image

add_shortcode('carouselimg', 'carouselimg_func');
function carouselimg_func($atts, $content = null){
  extract(shortcode_atts(array(
    'gallery'     =>  '',
    'number'      =>  '',
    'speed'       =>  '',
  ), $atts));
    if(!$number){
      $number = 4;
    }
    if(!$speed){
      $speed = 4000;
    }
  ob_start(); ?>

  <div id="carousel-example">
    <?php 
    $img_ids = explode(",",$gallery);
    foreach( $img_ids AS $img_id ){
    $image_src = wp_get_attachment_image_src($img_id,''); 
    $attachment = get_post( $img_id );?>
        <div class="item">
          <img src="<?php echo esc_url( $image_src[0] ); ?>" alt="">
        </div>
        <?php } ?>
  </div>        

  <script type="text/javascript">
  (function($) {
    "use strict";

    $("#carousel-example").owlCarousel({

        autoPlay: <?php echo esc_js($speed); ?>,
        items: <?php echo esc_js($number); ?>,
        itemsDesktop: [1199, <?php echo esc_js($number); ?>-1],
        itemsDesktopSmall: [979, <?php echo esc_js($number); ?>-1]

    });

  })(jQuery);
  </script>
  <?php

  return ob_get_clean();
}

// Pricing Table

add_shortcode('pricingtable', 'pricingtable_func');
function pricingtable_func($atts, $content = null){
  extract(shortcode_atts(array(
    'title'    => '',
    'price'    => '',
    'per'      => '',
    'start'    => '',
    'btn'      => '',
    'link'     => '',
    'featured' => '',
  ), $atts));
  $fea = '';
  if($featured == 'true'){
    $fea = ' most-popular';
  }
  ob_start(); ?>

  <div class="pricingtables default">
    <div class="panel panel-info<?php echo esc_attr($fea);?>">
        <div class="panel-heading">
            <h3 class="text-center"><?php echo htmlspecialchars_decode($title); ?></h3>
        </div>
        <div class="panel-body text-center">
            <?php if($start) { ?><span><?php echo htmlspecialchars_decode($start); ?></span><?php } ?>
            <h4><?php echo htmlspecialchars_decode($price); ?></h4>
            <?php if($per) { ?><span class="per"><?php echo htmlspecialchars_decode($per); ?></span><?php } ?>
        </div>
        <div class="text-center"><p>
          <?php echo htmlspecialchars_decode($content); ?>
        </div>
        <?php if($btn) { ?>
        <div class="panel-footer">
            <a class="btn btn-lg btn-pricetable" href="<?php echo esc_url($link); ?>"><?php echo htmlspecialchars_decode($btn); ?></a>
        </div>
        <?php } ?>
    </div>
  </div>

  <?php
    return ob_get_clean();
}


// Pricing Table Tabs

add_shortcode('pricingtable2', 'pricingtable2_func');
function pricingtable2_func($atts, $content = null){
  extract(shortcode_atts(array(
    'title'    => '',
    'price'    => '',
    'price2'   => '',
    'price3'   => '',
    'per2'     => '',
    'per3'     => '',
    'head'     => '',
    'per'      => '',
    'btn'      => '',
    'link'     => '',
    'link2'     => '',
    'link3'     => '',
    'featured' => '',
  ), $atts));
  $hea = '';
  $fea = '';
  if($featured == 'true'){
    $fea = ' most-popular';
  }
  if($head == 'true'){
    $hea = ' hostingfeatures';
  }
  ob_start(); ?>

  <div class="pricingtables shared">
    <div class="panel panel-info<?php echo esc_attr($fea.$hea); ?>">
        <div class="panel-heading">
            <?php if($title) { ?><h3 class="text-center"><?php echo htmlspecialchars_decode($title); ?></h3><?php } ?>
        </div>
        <div class="panel-body text-center">
          <?php if($price) { ?>
            <div class="monthprice">
                <h4><?php echo htmlspecialchars_decode($price); ?></h4>
                <span class="per"><?php echo htmlspecialchars_decode($per); ?></span>
            </div>
            <div class="yearprice">
                <h4><?php echo htmlspecialchars_decode($price2); ?></h4>
                <span class="per"><?php echo htmlspecialchars_decode($per2); ?></span>
            </div>
            <div class="twoyearprice">
                <h4><?php echo htmlspecialchars_decode($price3); ?></h4>
                <span class="per"><?php echo htmlspecialchars_decode($per3); ?></span>
            </div>
          <?php } ?>
        </div>
        <?php echo htmlspecialchars_decode($content); ?>
        <div class="panel-footer monthprice">
            <?php if($btn) { ?><a class="btn btn-lg btn-pricetable" href="<?php echo esc_url($link); ?>"><?php echo htmlspecialchars_decode($btn); ?></a><?php } ?>
        </div>
        <div class="panel-footer yearprice">
            <?php if($btn) { ?><a class="btn btn-lg btn-pricetable" href="<?php echo esc_url($link2); ?>"><?php echo htmlspecialchars_decode($btn); ?></a><?php } ?>
        </div>
        <div class="panel-footer twoyearprice">
            <?php if($btn) { ?><a class="btn btn-lg btn-pricetable" href="<?php echo esc_url($link3); ?>"><?php echo htmlspecialchars_decode($btn); ?></a><?php } ?>
        </div>        
    </div>
  </div>

  <?php
    return ob_get_clean();
}


// Buttons Pricing Tabs

add_shortcode('btntabs', 'btntabs_func');
function btntabs_func($atts, $content = null){
  extract(shortcode_atts(array(
    'btn1'      =>  '',
    'btn2'      =>  '',
    'btn3'      =>  '',
  ), $atts));

  ob_start(); ?>

  <div class="btn-group price-per-period" role="group">
      <?php if($btn1) { ?><button type="button" class="btn btn-shared-checked permonth"><?php echo htmlspecialchars_decode($btn1); ?></button><?php } ?>
      <?php if($btn2) { ?><button type="button" class="btn btn-default peryear"><?php echo htmlspecialchars_decode($btn2); ?></button></button><?php } ?>
      <?php if($btn3) { ?><button type="button" class="btn btn-default per2yrs"><?php echo htmlspecialchars_decode($btn3); ?></button></button><?php } ?>
  </div>

  <?php

  return ob_get_clean();
}

// Circle Process

add_shortcode('cprocess', 'cprocess_func');
function cprocess_func($atts, $content = null){
  extract(shortcode_atts(array(
    'title'     =>  '',
    'text'      =>  '',
    'percent'   =>  '',
  ), $atts));

  ob_start(); ?>

  <div class="counters">
    <p class="myStat1" data-dimension="180" data-animationstep="0.5" data-text="<?php echo esc_attr($text); ?>" data-width="25" data-fontsize="29" data-percent="<?php echo esc_attr($percent); ?>" data-fgcolor="<?php if(servereast_theme_option('custom_color_1')) echo servereast_theme_option('custom_color_1'); else echo '#DE6262'; ?>" data-bgcolor="#E1E3E4" data-fill="#CECECE"></p>
    <span><?php echo htmlspecialchars_decode($title); ?></span>
  </div>

  <?php

  return ob_get_clean();
}

// Services
add_shortcode('services', 'services_func');
function services_func($atts, $content = null){
  extract(shortcode_atts(array(
    'title'   =>  '',
    'icon'    =>  '',
    'type'    =>  '',
  ), $atts));

  ob_start(); ?>

  <?php if($type == 'type3') { ?>
  <div class="domainfeatures">
    <h6><?php echo htmlspecialchars_decode($title); ?></h6>
    <p><?php echo htmlspecialchars_decode($content); ?></p>
  </div>
  <?php }elseif($type == 'type2'){ ?>
  <div class="feature">
      <i class="fa fa-<?php echo esc_attr($icon); ?>"></i>
      <h4><?php echo htmlspecialchars_decode($title); ?></h4>
      <p><?php echo htmlspecialchars_decode($content); ?></p>
  </div>
  <?php }else{ ?>
  <div class="facility">
    <h3>
      <?php if($icon) { ?><span class="ficon"><i class="fa fa-<?php echo esc_attr($icon); ?>"></i></span><?php } ?>
      <span class="title"><?php echo htmlspecialchars_decode($title); ?></span>
    </h3>
    <p><?php echo htmlspecialchars_decode($content); ?></p>
  </div>
  <?php } ?>     

  <?php

    return ob_get_clean();
}

// Features
add_shortcode('offerbox', 'offerbox_func');
function offerbox_func($atts, $content = null){
  extract(shortcode_atts(array(
    'title'   =>  '',
    'icon'    =>  '',
    'type'    =>  '',
  ), $atts));

  ob_start(); ?>

  <?php if($type == 'type3') { ?>
  <div class="domainfeatures">
    <h6><?php echo htmlspecialchars_decode($title); ?></h6>
    <p><?php echo htmlspecialchars_decode($content); ?></p>
  </div>
  <?php }elseif($type == 'type2'){ ?>
  <div class="feature">
      <i class="fa fa-<?php echo esc_attr($icon); ?>"></i>
      <h4><?php echo htmlspecialchars_decode($title); ?></h4>
      <p><?php echo htmlspecialchars_decode($content); ?></p>
  </div>
  <?php }else{ ?>
  <div class="facility">
    <h3>
      <?php if($icon) { ?><span class="ficon"><i class="fa fa-<?php echo esc_attr($icon); ?>"></i></span><?php } ?>
      <span class="title"><?php echo htmlspecialchars_decode($title); ?></span>
    </h3>
    <p><?php echo htmlspecialchars_decode($content); ?></p>
  </div>
  <?php } ?>     

  <?php

    return ob_get_clean();
}

// Support Box
add_shortcode('supportbox', 'support_func');
function support_func($atts, $content = null){
  extract(shortcode_atts(array(
    'title'   =>  '',
    'icon'    =>  '',
    'link'    =>  '',
  ), $atts));

  ob_start(); ?>

  <div class="support-item">
      <a href="<?php echo esc_url($link); ?>"><i class="fa fa-<?php echo esc_attr($icon); ?>"></i></a>
      <h6><?php echo htmlspecialchars_decode($title); ?></h6>
      <p><?php echo htmlspecialchars_decode($content); ?></p>
  </div>    

  <?php

    return ob_get_clean();
}

// VPS Order
add_shortcode('vpsorder', 'vpsorder_func');
function vpsorder_func($atts, $content = null){
  extract(shortcode_atts(array(
    'title'   =>  '',
    'image'   =>  '',
    'number'  =>  '',
  ), $atts));

  $img = wp_get_attachment_image_src($image,'full');
  $img = $img[0];

  ob_start(); ?>

 <div class="vps-order">
      <?php if($image) { ?><img class="img-responsive center-block smscrimg" src="<?php echo esc_url($img); ?>" alt="" /><?php } ?>
      <?php if($number) { ?>
      <div class="order-circle">
          <span class="left-side"><?php echo htmlspecialchars_decode($number); ?></span>
      </div>
      <?php } ?>
      <h3><?php echo htmlspecialchars_decode($title); ?></h3>
      <?php echo htmlspecialchars_decode($content); ?>
  </div>    

  <?php

    return ob_get_clean();
}

// VPS Plans

$GLOBALS['plans'] = array();

add_shortcode('vpsplans', 'vpsplans_func');
 function vpsplans_func( $atts, $content ) {
  $atts = shortcode_atts(array(
   'css_class' => '',
   'point'     => '2',
   'btn' => __('ORDER VPS', 'servereast' )
  ), $atts );

   $GLOBALS['plans'] = array();
  do_shortcode( $content );

  if ( empty( $GLOBALS['plans'] ) ) {
   return '';
  }

  $tabs_nav   = array();
  $total      = count( $GLOBALS['plans'] );
  $planval = '';
  $memoryval = '';
  $diskspaceval = '';
  $bandwidthval = '';
  $priceval = '';
  $urlval = '';
  $width = 100 / $total;

  if ( ! $total ) {
   return '';
  }
  $i = 0;
  foreach( $GLOBALS['plans'] as $index => $plan ) {
   $tabs_nav[] = sprintf(
    '<div class="vps-plan" id="vps-plan-%s" style="width: %s">%s</div>',
    esc_attr( $i ) ,
    esc_attr( $width ) . '%',
    $plan['title']
   );

   $ext = '|';
   if( $i == 0 ) {
    $ext = '';
   }

   $planval .= $ext . $plan['title'];
   $memoryval .= $ext .  $plan['ram'];
   $diskspaceval .= $ext .  $plan['disk'];
   $bandwidthval .= $ext .  $plan['band'];
   $priceval .= $ext .  $plan['price'];
   $urlval .= $ext .  $plan['link'];
   $i++;
  }

  return sprintf(
   '<div class="vps-prices-container %s">
      <div class="vps-prices-panel">
          <div class="vps-prices-drag">
              <div id="vps-slider" data-number="%s"></div>
              <div id="sliderlines"></div>
              <div class="vps-plans hidden-xs vps-plans-%s">
                  %s
              </div>
              <div id="plan_option" class="visible-xs">
                      <h6><span class="how_much"></span></h6>
                  </div>
          </div>
          <div class="row sliderbottom no-gutter">
              <div class="col-sm-3">
                  <div id="disk_space_option">
                      <h6>%s</h6>
                      <span class="how_much"></span>
                  </div>
              </div>
              <div class="col-sm-3">
                  <div id="memory_option">
                      <h6>%s</h6>
                      <span class="how_much"></span>
                  </div>
              </div>
              <div class="col-sm-3">
                  <div id="bandwidth_option">
                      <h6>%s</h6>
                      <span class="how_much"></span>
                  </div>
              </div>
              <div class="col-sm-3">
                  <div class="total_amount"><span id="price_amount"></span><span id="decimal"></span>
                  </div>
                  <a class="order-vps" href="#">%s</a>
          </div>
          <div class="footer-hide">
          <input type="hidden" value="%s" class="planval"/>
          <input type="hidden" value="%s" class="memoryval"/>
          <input type="hidden" value="%s" class="diskspaceval"/>
          <input type="hidden" value="%s" class="bandwidthval"/>
          <input type="hidden" value="%s" class="priceval"/>
          <input type="hidden" value="%s" class="urlval"/>
          <input type="hidden" value="%s" class="point"/>
          </div>
      </div>
  </div>',
   $atts['css_class'],
   esc_attr( $total ),
   esc_attr( $total ),
   implode( '', $tabs_nav ),
   __( 'Disk Space', 'servereast' ),
   __( 'Ram', 'servereast' ),
   __( 'Bandwidth', 'servereast' ),
   $atts['btn'],
   esc_attr( $planval ),
   esc_attr( $memoryval ),
   esc_attr( $diskspaceval ),
   esc_attr( $bandwidthval ),
   esc_attr( $priceval ),
   esc_attr( $urlval ),
   $atts['point']
  );
 }


 //Single Plan

 add_shortcode('single_plan', 'single_plan_func');
 function single_plan_func( $atts, $content ) {
  $atts = shortcode_atts(array(
   'disk'       => '',
   'title'      => '',
   'ram'       => '',
   'band'     => '',
   'price'      => '',
   'link' => '',
  ), $atts );

  $GLOBALS['plans'][] = array(
   'disk'       => $atts['disk'],
   'title'      => $atts['title'],
   'ram'       => $atts['ram'],
   'band'     => $atts['band'],
   'price'      => $atts['price'],
   'link' => $atts['link'],
  );

  return '';
 }


// Testimonial Silder

add_shortcode('testslide','testslide_func');

function testslide_func($atts, $content = null){

	extract(shortcode_atts(array(

		'number'	=>		'',

	), $atts));
	if(!$number){
		$number = -1;
	}

	ob_start(); ?>

  <div id="testimonials-carousel" class="owl-carousel">
    <?php

      $args = array(

        'post_type' => 'testimonial',

        'posts_per_page' => $number,

      );

      $testimonial = new WP_Query($args);

      if($testimonial->have_posts()) : while($testimonial->have_posts()) : $testimonial->the_post();
      $extra = get_post_meta(get_the_ID(),'_cmb_info', true);
    ?>
    <div class="item">
        <div class="testimonial-content">
            <?php if(has_post_thumbnail()) { ?>
            <div class="testimonialimg">
              <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id()); ?>" alt="">
            </div>
            <?php } the_content(); ?>
            <div class="whoclient">
                <h5><?php echo htmlspecialchars_decode($extra); ?></h5>
            </div>
        </div>
    </div>
    <?php endwhile; endif; ?>
	</div>

	<?php

    return ob_get_clean();

}


// Logos Client
add_shortcode('logos', 'logos_func');
function logos_func($atts, $content = null){
	extract(shortcode_atts(array(
    'gallery'   =>  '',
    'number'    =>  '',
    'speed'     =>  '',
		'type'		  => 	'',
	), $atts));
    if(!$number){
      $number = 6;
    }
    if(!$speed){
      $speed = 5000;
    }
	ob_start(); ?>

  <?php if($type == 'type2') { ?>
	<div class="logos">
    	<?php 
  		$img_ids = explode(",",$gallery);
  		foreach( $img_ids AS $img_id ){
  		$meta = wp_prepare_attachment_for_js($img_id);
  		$caption = $meta['caption'];
  		$title = $meta['title'];	
  		$description = $meta['description'];	
  		$image_src = wp_get_attachment_image_src($img_id,''); ?>
        <?php if(!empty($caption)){ ?> 
        	<div class="item"><a target="_blank" href="<?php echo esc_attr($caption); ?>">
	            <img src="<?php echo esc_url( $image_src[0] ); ?>" alt="<?php echo esc_attr($title); ?>">
	        </a></div>
        <?php }else{ ?>         	
	        <div class="item"><img src="<?php echo esc_url( $image_src[0] ); ?>" alt="<?php echo esc_attr($title); ?>"></div>
        <?php } ?>
      <?php } ?>
  </div>
  <?php }else{ ?>
  <div class="block-grid-sm-4 block-grid-xs-2 clients">
    <?php 
    $img_ids = explode(",",$gallery);
    foreach( $img_ids AS $img_id ){
    $meta = wp_prepare_attachment_for_js($img_id);
    $caption = $meta['caption'];
    $title = $meta['title'];  
    $description = $meta['description'];  
    $image_src = wp_get_attachment_image_src($img_id,''); ?>
      <?php if(!empty($caption)){ ?> 
        <div class="block-grid-item"><a target="_blank" href="<?php echo esc_attr($caption); ?>">
            <img src="<?php echo esc_url( $image_src[0] ); ?>" alt="<?php echo esc_attr($title); ?>">
        </a></div>
      <?php }else{ ?>           
        <div class="block-grid-item"><img src="<?php echo esc_url( $image_src[0] ); ?>" alt="<?php echo esc_attr($title); ?>"></div>
      <?php } ?>
    <?php } ?>
  </div>
  <?php } ?>

  <script type="text/javascript">
  (function($) {
  "use strict";
    $(".logos").owlCarousel({

        autoPlay: <?php echo esc_js($speed); ?>,
        items: <?php echo esc_js($number); ?>,
        itemsDesktop: [1199, <?php echo esc_js($number); ?>-1],
        itemsDesktopSmall: [979, <?php echo esc_js($number); ?>-2],
        pagination: false

    });
  })(jQuery);
  </script>     

	<?php

    return ob_get_clean();
}

//Compare Table
add_shortcode('compare_table', 'compare_table_func');
function compare_table_func( $atts, $content ) {
  $atts = shortcode_atts(array(
   'titles'         => '',
   'class_name'     => '',
   'sort'           => '',
  ), $atts );

  $output = array();
  if( $atts['titles'] ) {
   $titles = explode( "|", $atts['titles'] );
   $column = '';

   if( $titles ) {
    foreach ( $titles as $title ) {
     $column .= sprintf( '<th class="%s"><span>%s</span></th>', '', $title );
    }
   }
   $output[] = sprintf( '<thead><tr class="compare-title">%s</tr></thead>',  $column );
  }

  if( $content ) {
   $content = explode( "\n", $content );

   if( $content ) {
    $output[] = '<tbody>';
    foreach ( $content as $row ) {
     $row = explode( "|", $row );
     $column = '';
     $i = 0;

     if( $row ) {
      foreach ( $row as $label ) {
       $data = '';
       if( $label ) {    
         $column .= sprintf( '<td %s>%s</td>', $data, $label );
       }
       $i++;
      }
     }
     $output[] = sprintf( '<tr>%s</tr>',  $column );
    }
    $output[] = '</tbody>';
   }
  }
  if($atts['sort'] == 'true'){
    return sprintf( '<div class="domains-table"><table id="tld-table" class="tablesorter responsive tablesaw tablesaw-stack %s">%s</table></div>',
    esc_attr( $atts['class_name'] ),
    implode( '', $output )
    );
  }else{
    return sprintf( '<div class="table-responsive"><table class="products-table responsive tablesaw tablesaw-stack %s">%s</table></div>',
    esc_attr( $atts['class_name'] ),
    implode( '', $output )
    );
  }
   
}


// Google Map

add_shortcode('ggmap','ggmap_func');
function ggmap_func($atts, $content = null){
    extract( shortcode_atts( array(
      'idmap'    => 'map-canvas',
      'height'   => '',	
      'lat'      => '',
      'long'     => '',
      'zoom'     => '',
      'address'  => '',
      'mapcolor' => '',
      'icon'     => '',
   ), $atts ) );
   
   $icon1 = wp_get_attachment_image_src($icon,'full');
   $icon1 = $icon1[0];
   if(!$zoom){
   	$zoom = 13;
   }
   		
    ob_start(); ?>
    	 
    <div id="<?php echo esc_attr( $idmap ); ?>" class="contacts-map" style="<?php if($height) echo 'height: '.$height.'px;'; ?>"></div>

    <script type="text/javascript">
	
	(function($) {
    "use strict"
    $(document).ready(function(){
        
        var locations = [
			['', <?php echo esc_js( $lat );?>, <?php echo esc_js( $long );?>, 2]
        ];
	
		var map = new google.maps.Map(document.getElementById('<?php echo esc_js( $idmap ); ?>'), {
		  zoom: <?php echo esc_js( $zoom );?>,
			scrollwheel: false,
			navigationControl: true,
			mapTypeControl: false,
			scaleControl: false,
			draggable: true,
			styles: [{"featureType":"administrative","elementType":"labels.text.fill","stylers":[{"color":"#444444"}]},{"featureType":"landscape","elementType":"all","stylers":[{"color":"#f2f2f2"}]},{"featureType":"poi","elementType":"all","stylers":[{"visibility":"off"}]},{"featureType":"road","elementType":"all","stylers":[{"saturation":-100},{"lightness":45},{"color":"<?php echo esc_js($mapcolor); ?>"}]},{"featureType":"road.highway","elementType":"all","stylers":[{"visibility":"simplified"}]},{"featureType":"road.arterial","elementType":"labels.icon","stylers":[{"visibility":"off"}]},{"featureType":"transit","elementType":"all","stylers":[{"visibility":"off"}]},{"featureType":"water","elementType":"all","stylers":[{"color":"#c6eee7"},{"visibility":"on"}]}],
			center: new google.maps.LatLng(<?php echo esc_js( $lat );?>, <?php echo esc_js( $long );?>),
		  mapTypeId: google.maps.MapTypeId.ROADMAP
		});
	
		var infowindow = new google.maps.InfoWindow();
	
		var marker, i;
	
		for (i = 0; i < locations.length; i++) {  
	  
			marker = new google.maps.Marker({ 
			position: new google.maps.LatLng(locations[i][1], locations[i][2]), 
			map: map ,
			icon: '<?php echo esc_js( $icon1 );?>'
			});
		
		  google.maps.event.addListener(marker, 'click', (function(marker, i) {
			return function() {
			}
		  })(marker, i));
		}
        
        });
    })(jQuery);   	
   	</script>
<?php

    return ob_get_clean();

}